import { requestClient, fullUrl } from '#/api/request';

/**
 * 新增数据
 * @param param 新增参数
 */
async function addOne(param) {
  return requestClient.post('/auth/GiftRelation/addOne', param);
}

/**
 * 批量新增数据
 * @param param 新增参数
 */
async function addBatch(param) {
  return requestClient.post('/auth/GiftRelation/addBatch', param);
}

/**
 * 更新数据
 * @param param 更新参数
 */
async function updateByUid(param) {
  return requestClient.post('/auth/GiftRelation/updateByUid/' + param.uuid, param);
}

/**
 * 删除数据
 * @param param 删除参数
 */
async function removeByUid(param) {
  return requestClient.post('/auth/GiftRelation/removeByUid/' + param.uuid, param);
}

/**
 * 批量删除数据
 * @param param 批量删除参数
 */
async function removeBatchByUid(param) {
  return requestClient.post('/auth/GiftRelation/removeBatchByUid', param);
}

/**
 * 查询指定数据
 * @param param 查询参数
 */
async function getOneByUid(param) {
  return requestClient.post('/auth/GiftRelation/getOneByUid/' + param.uuid, param);
}

/**
 * 分页查询数据
 * @param param 分页查询参数
 */
async function queryPage(param) {
  return requestClient.post('/auth/GiftRelation/queryPage', param);
}

/**
 * 查询所有数据
 * @param param 查询参数
 */
async function queryList(param) {
  return requestClient.post('/auth/GiftRelation/queryList', param);
}

/**
 * 查询总数
 * @param param 查询参数
 */
async function count(param) {
  return requestClient.post('/auth/GiftRelation/count', param);
}

export const giftRelation = {
  addOne,
  addBatch,
  updateByUid,
  removeByUid,
  removeBatchByUid,
  getOneByUid,
  queryPage,
  queryList,
  count
}